import { MediaInterventionFlags } from "../../models/proof";
import dayjs from "dayjs";

export const interventionText = (t: any, f: MediaInterventionFlags): string | undefined => {
  let res = "";
  if (f.generator === "camera") {
    res += "<b>" + t("cc.captured_with_camera") + "</b> ";
  } else if (f.generator === "screenshot") {
    res += "<b>" + t("cc.screenshot_probably") + "</b> ";
  } else if (f.generator === "ai") {
    res += "<b>" + t("cc.generated_with_ai") + "</b> ";
  }
  if (f.modified) {
    res += "<b>" + t("cc.modified") + "</b> ";
  }
  if (f.creationDate && dayjs().diff(f.creationDate, "month") >= 3) {
    res += "<b>" + t("cc.older_than_n_months", { n: 3 }) + "</b> ";
  }
  if (res === "") return undefined;
  return res;
};
